| Home | Libraries | People | FAQ | More

## Struct template plain_return_type_2<arithmetic_action< plus_action >, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y>

boost::lambda::plain_return_type_2<arithmetic_action< plus_action >, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y>

## Synopsis

    // In header: <boost/units/lambda.hpp>

    template<typename System, typename X, typename Y>
    struct plain_return_type_2<arithmetic_action< plus_action >, boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y> {
      // types
      typedef boost::units::add_typeof_helper< boost::units::quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(System), X >, Y >::type type;
    };

## Description

Partial specialization of return type trait for action quantity<dimensionless, X> + Y.